CategoryListTokenizer (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.index.streaming.CategoryListTokenizer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.streaming
Class CategoryListTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
                      org.apache.lucene.facet.index.streaming.CategoryListTokenizer

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  AssociationListTokenizer, CountingListTokenizer

    public abstract class CategoryListTokenizer

extends CategoryTokenizerBase

A base class for category list tokenizers, which add category list tokens to category streams.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
`categoryAttribute, indexingParams, payload, payloadAttribute, termAttribute`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`CategoryListTokenizer(TokenStream input, FacetIndexingParams indexingParams)`

Method Summary
`protected void` | `handleEndOfInput()` A method invoked once when the input stream ends, for subclass-specific processing.
`protected void` | `handleStartOfInput()` A method invoked once when the input stream begins, for subclass-specific processing.
`abstract boolean` | `incrementToken()` Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token.
`void` | `reset()` Reset the filter as well as the input TokenStream.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryListTokenizer

    public CategoryListTokenizer(TokenStream input,
                                 FacetIndexingParams indexingParams)

See Also:
  `CategoryTokenizerBase.CategoryTokenizerBase(TokenStream, FacetIndexingParams)`

Method Detail

### handleStartOfInput

    protected void handleStartOfInput()
                               throws IOException

  A method invoked once when the input stream begins, for subclass-specific processing. Subclass implementations must invoke this one, too!

  Throws:
    `IOException`

### handleEndOfInput

    protected void handleEndOfInput()
                             throws IOException

  A method invoked once when the input stream ends, for subclass-specific processing.

  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Description copied from class: `TokenFilter`
  Reset the filter as well as the input TokenStream.

  Overrides:
    `reset` in class `TokenFilter`
  Throws:
    `IOException`

### incrementToken

    public abstract boolean incrementToken()
                                    throws IOException

  Description copied from class: `TokenStream`
  Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token. Implementing classes must implement this method and update the appropriate `AttributeImpl`s with the attributes of the next token.

  The producer must make no assumptions about the attributes after the method has been returned: the caller may arbitrarily change it. If the producer needs to preserve the state for subsequent calls, it can use `AttributeSource.captureState()` to create a copy of the current attribute state.

  This method is called for every token of a document, so an efficient implementation is crucial for good performance. To avoid calls to `AttributeSource.addAttribute(Class)` and `AttributeSource.getAttribute(Class)`, references to all `AttributeImpl`s that this stream uses should be retrieved during instantiation.

  To ensure that filters and consumers know which attributes are available, the attributes must be added during instantiation. Filters and consumers are not required to check for availability of attributes in `TokenStream.incrementToken()`.

  Specified by:
    `incrementToken` in class `CategoryTokenizerBase`
  Returns:
    false for end of stream; true otherwise
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD